Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[how-to] 3d hardware acc with ati open source driver.
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 20, 21, 22 ... 27, 28, 29  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Tariella
Guru
Guru


Joined: 10 Dec 2005
Posts: 377
Location: Europe/Austria

PostPosted: Tue Nov 23, 2010 8:45 am    Post subject: Reply with quote

I'm always updating to the latest development versions. I'd like to test this if I knew how. Do I need any special media and how do I verify if it works?
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Mon Nov 29, 2010 2:30 pm    Post subject: Reply with quote

hum, I'm trying to pull everything from x11, but mesa-9999 fails to compile:

Code:

86_64-pc-linux-gnu-gcc -c -I. -I../../../../../src/mesa/drivers/dri/common -Iserver -I../../../../../include -I../../../../../src/mesa -I../../../../../src/egl/main -I../../../../../src/egl/drivers/dri -I/usr/include/libdrm    -O2 -pipe -march=native -ffast-math -Wall -Wmissing-prototypes -std=c99 -ffast-math -fno-strict-aliasing  -fPIC  -DUSE_X86_64_ASM -D_GNU_SOURCE -DPTHREADS -DHAVE_POSIX_MEMALIGN -DUSE_XCB -DUSE_EXTERNAL_DXTN_LIB=1 -DIN_DRI_DRIVER -DGLX_DIRECT_RENDERING -DGLX_INDIRECT_RENDERING -DHAVE_ALIAS -DHAVE_XEXTPROTO_71 -DHAVE_LIBDRM_RADEON=1 -I/usr/include/libdrm   -DRADEON_R100 -Wall radeon_screen.c -o radeon_screen.o
In file included from radeon_common.h:4,
                 from radeon_context.c:56:
radeon_common_context.h:405: error: array type has incomplete element type
In file included from radeon_common.h:4,
                 from radeon_screen.c:49:
radeon_common_context.h:405: error: array type has incomplete element type
gmake[5]: *** [radeon_screen.o] Error 1
gmake[5]: *** Waiting for unfinished jobs....
gmake[5]: *** [radeon_context.o] Error 1
In file included from radeon_common.h:4,
                 from radeon_context.h:56,
                 from radeon_ioctl.c:59:
radeon_common_context.h:405: error: array type has incomplete element type
gmake[5]: *** [radeon_ioctl.o] Error 1
gmake[5]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src/mesa/drivers/dri/radeon'
gmake[4]: *** [subdirs] Error 1
gmake[4]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src/mesa/drivers/dri'
gmake[3]: *** [default] Error 1
gmake[3]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src/mesa/drivers'
gmake[2]: *** [driver_subdirs] Error 2
gmake[2]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src/mesa'
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src'
make: *** [default] Error 1
emake failed


To make things even more complicated, emerge -uDN @world now pulls a lot of packages (mainly qt & kde) and perl just got upgraded from 5.8.8 to 5.12, so everything is a little more tricky because qt cause blockers when I run perl-cleaner...

any advice would be very welcome!

[EDIT]: I forgot to post the emerge --info... BTW, I've started to walk this path because, after recent updates, kwin causes corruption (and X lock-up) as soon as compositing effects where needed. I'd like to jump ahead and hopefully fix a bunch of issues like that. My card is a Radeon HD3300...

Code:

# emerge --info =media-libs/mesa-9999
Portage 2.2.0_alpha6 (default/linux/amd64/10.0/desktop/kde, gcc-4.3.4, glibc-2.11.2-r3, 2.6.36-gentoo-take1 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-gentoo-take1-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-1.12.13
Timestamp of tree: Mon, 29 Nov 2010 01:15:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.5.4-r4, 2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.4_p6-r1, 1.7.9-r1, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
Repositories: gentoo x11 kde LocalOverlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://mirrors.tera-byte.com/pub/gentoo ftp://gentoo.arcticnetwork.ca/pub/gentoo/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US fr"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/portage/layman/x11 /var/lib/portage/layman/kde /usr/local/portage/LocalOverlay"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 amr amrnb amrwb apache2 apm audio bash-completion berkdb bluetooth branding bzip2 cairo cdaudio cdr chm cisco cli clucene consolekit contrast cpudetection cracklib crypt cups curl cxx daap dbus dell disk-partition djvu dri dts dvd dvdr ebook emboss emovix encode evo exchange exif faac faad fam festival ffmpeg flac flite fontconfig foomaticdb fortran freetts ftp fuse gallium gcj gd gdbm gif gimp git glitz gnutls google-gadgets gpm graphite gtk hal hbci hdri htmlhandbook hybrid-auth iconv icq id3tag imagemagick inotify ipod ipv6 irda irmc ithreads jabber java java5 java6 jce jpeg kde kde4 kdehiddenvisibility kdexdeltas kdrive kipi lame laptop lcms ldap lensfun libnotify lm_sensors log4j lucene lvm2 lzma lzo mad madwifi mbrola mikmod mmx mng modules mono mp3 mp3tunes mp4 mpeg mplayer msn mtp mudflap multilib ncurses network network-cron nfs nls nptl nptlonly nsplugin ntfs obex ofx ogg ole openexr opengl openmp pam pango pch pcmcia pcre pdf perl phonon plasma pmu png portaudio ppds pppd python qt qt3support qt4 quotes raw rdesktop readline remote resolvconf samba sametime scanner sdl semantic-desktop servletapi session smb smp snv soundtouch sox speex spell sse sse2 sse3 ssh ssl startup-notification subversion svg svnserve sysfs tcpd theora threads tiff truetype unicode usb v4l v4l2 vaapi vamp vboxwebsrv vcd vdpau vim-syntax vorbis vpx wavepack wicd wmf x264 xattr xcb xcomposite xinerama xml xorg xulrunner xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US fr" NETBEANS_MODULES="apisupport harness ide java nb profiler websvccommon groovy gsf j2ee java websvccommon" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeonhd radeon vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Mon Nov 29, 2010 6:40 pm    Post subject: Reply with quote

oh well, replying to my own post...

it turned out that I had a pretty old x11 overlay that was pointing to an older git repos (so "git pull" was always up-to-date...) Funny things happened: I uninstalled layman and re-installed it (1.4.x). Syncing x11 gave the same results... delete x11 overlay, re-add it, same thing... what's going wrong...

finally, I notice that everything was going into /var/lib/portage/layman instead of /var/lib/layman... Is my setup that old? anyway, after fixing the layman setup, xorg-server, libdrm, mesa and xf86-video-ati now compile (all at version 9999).

Let's wait for the rest of @world to compile (29 out of 150) and we'll see how it goes
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Mon Nov 29, 2010 9:58 pm    Post subject: Reply with quote

ok, it's me again...

I have to revert back these changes because qt-gui 4.6.3 or 4.7.0 fail to compile with libX11-9999 (which seems required for mesa and libdrm to be at 9999).

Am I the only one in this situation?

For now, I'm going back to xorg-server-1.9.2.901 and x11-drivers/xf86-video-ati-6.13.2 (i'm not really sure if that will work, but we'll see). I'm on kernel 2.6.36, it that helps.
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Mon Nov 29, 2010 10:19 pm    Post subject: Reply with quote

This nonsense is why I don't use x11 overlay.

- Get libdrm-9999, mesa-9999 and xf86-video-ati from the x overlay,
- put them in /usr/local/portage (create the correct dirs: media-libs, x11-drivers, etc.)
- edit mesa and libdrm ebuilds to not depend on libx11-9999 (they do NOT need it)
- digest them and install them

That's what I did. You could also try with the ebuilds in the first post of this thread, but I don't know how current they are now.

You don't need everything related to X from git, that's nonsense.
Back to top
View user's profile Send private message
i92guboj
Bodhisattva
Bodhisattva


Joined: 30 Nov 2004
Posts: 10306
Location: Córdoba (Spain)

PostPosted: Mon Nov 29, 2010 10:26 pm    Post subject: Reply with quote

In most situations you shouldn't need git ebuilds anyway. Just use the latest version from x11.

For most people the overlay is no longer needed, though.

Today, mesa 7.9 landed into portage, along with eselect-mesa. Most people can just stick to that.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Mon Nov 29, 2010 10:29 pm    Post subject: Reply with quote

thanks pingufunkybeat , I may try that later.

To be honest, mesa-9999 does not force libX11-9999, but 1.4 or above:
Code:

    >=x11-libs/libX11-1.3.99.901


I guess this is another pilot error caused by a "must fix this quickly..." attitude...

Oh well,. as long as the system returns to a stable point, even if the performance isn't great, I'll probably leave it at that. My "available time" is a very short quantity and my wife doesn't like to be without a computer because "something broke again"....

Maybe I should start to look for another good kde-featuring distro. Although I love gentoo very much, I'm no more in a situation where I can spend a lot of time playing the "sysadmin" guy on my home computer...

Thanks i92guboj, I may try that too... (220 packages left to emerge right now...)
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Mon Nov 29, 2010 10:38 pm    Post subject: Reply with quote

It's true that with the release of Mesa 7.9, you will get decent performance on most Radeon cards, and that messing with git stuff is not necessary anymore.

Also "wife complains things are broken again" is a good reason to stick to stable and released software. ;)

I'm not sure if the KWin 4.5 breakage has been fixed in Mesa 7.9, though.
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Mon Nov 29, 2010 10:44 pm    Post subject: Reply with quote

pingufunkybeat wrote:
Also "wife complains things are broken again" is a good reason to stick to stable and released software. ;)


Well, it all started with (almost) stable software crashing... going the x11-overlay/-9999 packages routes was an attempt to 'fix' things... I'm not trying to run advanced 3d stuff, just kwin with reasonable compositing effects...

pingufunkybeat wrote:

I'm not sure if the KWin 4.5 breakage has been fixed in Mesa 7.9, though.


Now that's scary... I'm currently upgrading to kde 4.5 ... oh well...
Back to top
View user's profile Send private message
i92guboj
Bodhisattva
Bodhisattva


Joined: 30 Nov 2004
Posts: 10306
Location: Córdoba (Spain)

PostPosted: Mon Nov 29, 2010 10:52 pm    Post subject: Reply with quote

kwin 4.5 works with mesa 7.9 (that's what git was anyway).

You only need to make sure you disable the functionality checks (depending on your hardware anyway). It's in the advanced tab for the desktop effects dialog in systemsettings.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Tue Nov 30, 2010 4:08 am    Post subject: Reply with quote

Thanks, it works now.

The kwin compositing effects performance is abysmal (using mesa 7.9 and either libdrm 1.4 or 9999 (from x11) and the latest xf86-video-ati from the official tree of the 9999 version from x11-overlay) and I'm only using a resolution of 1280x1024 (no dual-screen).

I'm using xorg-server-1.9.2.901, without a xorg.conf, with kde 4.5, qt 4.7 and kernel 2.6.36. I've verified that I'm using gallium (from eselect mesa list) and glxinfo | grep -i rend gives:

Code:

direct rendering: Yes
OpenGL renderer string: Gallium 0.4 on softpipe
    GL_NV_blend_square, GL_NV_conditional_render, GL_NV_light_max_exponent,


what should I try next? Again, I'm not trying to play heavy 3d games in wine but I would appreciate having just a decent performance with pleasing kwin compositing effects...

Any other path I should try? Would mesa-9999 from x11 be really different than 7.9? Should I rebuild certain packages after upgrading libdrm/mesa/xf86-video-ati ?[/quote]
Back to top
View user's profile Send private message
i92guboj
Bodhisattva
Bodhisattva


Joined: 30 Nov 2004
Posts: 10306
Location: Córdoba (Spain)

PostPosted: Tue Nov 30, 2010 7:37 am    Post subject: Reply with quote

As far as I know, gallium should be slower for any modern card. I have no idea about the status for r300 based cards. But on r600 and above you should be using classic, not gallium, unless you want to do some profiling and/or report bugs.

I am not following the thread too closely, so I am sorry if you already tried that.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Tue Nov 30, 2010 9:33 am    Post subject: Reply with quote

I am using r600g (gallium) on my radeon hd3200 with mesa-9999 and it outperformes classic! With classic I had some wrong pixels and effect not working correctly. After switch to gallium all my problems disappeared. And probably gallium will be default for r600 in next mesa.
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Tue Nov 30, 2010 11:53 am    Post subject: Reply with quote

You're using softpipe, which is Gallium3D's software renderer. No wonder it's slow.

Post your xorg log (grep for "EE") and the output of "dmesg |grep drm". Probably something went wrong with drm initialisation.

With r600+ class hardware, classic mesa is more reliable than gallium at the moment. Gallium is faster, though.
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Tue Nov 30, 2010 2:03 pm    Post subject: Reply with quote

i92guboj wrote:
As far as I know, gallium should be slower for any modern card.


Well, in my very limited tests, Gallium was somewhat faster than Classic, but again, that's with limited testing (fast-moving a transparent window around the desktop and taking a look at the cpu usage and general responsiveness).

pingufunkybeat, here's what you wanted. Remember that I don't have any xorg.conf file, maybe I should try that... I can post the full Xorg.0.log if you want.

I found on some random blogs that the kwin "blur" effect is somtime causing trouble with either the open-source of proprietarydriver, so I disabled it. The performance is much better but can't be qualified as "smooth" either.

BTW, thanks everybody for your help!

Code:

desktop log # dmesg |grep drm
[drm] Initialized drm 1.1.0 20060810
[drm] radeon defaulting to kernel modesetting.
[drm] radeon kernel modesetting enabled.
[drm] initializing kernel modesetting (RS780 0x1002:0x9614).
[drm] register mmio base: 0xFBDE0000
[drm] register mmio size: 65536
[drm] Detected VRAM RAM=384M, BAR=256M
[drm] RAM width 32bits DDR
[drm] radeon: 384M of VRAM memory ready
[drm] radeon: 512M of GTT memory ready.
[drm] radeon: irq initialized.
[drm] GART: num cpu pages 131072, num gpu pages 131072
[drm] Loading RS780 Microcode
[drm] ring test succeeded in 1 usecs
[drm] radeon: ib pool ready.
[drm] ib test succeeded in 0 usecs
[drm] Enabling audio support
[drm] Radeon Display Connectors
[drm] Connector 0:
[drm]   VGA
[drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
[drm]   Encoders:
[drm]     CRT1: INTERNAL_KLDSCP_DAC1
[drm] Connector 1:
[drm]   DVI-D
[drm]   HPD3
[drm]   DDC: 0x7e50 0x7e50 0x7e54 0x7e54 0x7e58 0x7e58 0x7e5c 0x7e5c
[drm]   Encoders:
[drm]     DFP3: INTERNAL_KLDSCP_LVTMA
[drm] radeon: power management initialized
[drm] fb mappable at 0xD0141000
[drm] vram apper at 0xD0000000
[drm] size 5242880
[drm] fb depth is 24
[drm]    pitch is 5120
fb0: radeondrmfb frame buffer device
drm: registered panic notifier
[drm] Initialized radeon 2.6.0 20080528 for 0000:01:05.0 on minor 0

Code:

desktop log # grep -C2 -e  "(EE\|(WW" Xorg.0.log
[  1256.833] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  1256.833] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Nov 29 22:43:43 2010
[  1256.833] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
--
[  1256.835]    Module class: X.Org Video Driver
[  1256.835]    ABI class: X.Org Video Driver, version 9.0
[  1256.835] (EE) module ABI major version (9) doesn't match the server's version (8)
[  1256.835] (II) UnloadModule: "vesa"
[  1256.835] (II) Unloading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[  1256.835] (EE) Failed to load module "vesa" (module requirement mismatch, 0)
[  1256.835] (II) LoadModule: "fbdev"
[  1256.835] (WW) Warning, couldn't open module fbdev
[  1256.835] (II) UnloadModule: "fbdev"
[  1256.835] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  1256.835] (II) RADEON: Driver for ATI Radeon chipsets:
        ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),


Code:

desktop log # zgrep FIRMWA /proc/config.gz
CONFIG_PREVENT_FIRMWARE_BUILD=y
CONFIG_FIRMWARE_IN_KERNEL=y
CONFIG_EXTRA_FIRMWARE="radeon/R600_rlc.bin radeon/R700_rlc.bin"
CONFIG_EXTRA_FIRMWARE_DIR="/lib/firmware"
CONFIG_HOSTAP_FIRMWARE=y
CONFIG_HOSTAP_FIRMWARE_NVRAM=y
CONFIG_RT2X00_LIB_FIRMWARE=y
CONFIG_FIRMWARE_EDID=y
CONFIG_FIRMWARE_MEMMAP=y


Code:

desktop log # zgrep RADEON /proc/config.gz
CONFIG_DRM_RADEON=m
CONFIG_DRM_RADEON_KMS=y
# CONFIG_FB_RADEON is not set

Code:

desktop log # uname -a
Linux desktop 2.6.36-gentoo-take3 #3 SMP Mon Nov 29 11:41:12 EST 2010 x86_64 AMD Phenom(tm) II X4 965 Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Tue Nov 30, 2010 2:41 pm    Post subject: Reply with quote

This looks like the culprit:

[ 1256.835] (EE) module ABI major version (9) doesn't match the server's version (8)

Are you sure that you're using the latest xorg from portage + the latest libdrm, mesa and xf86-video-ati?

The last three must match. So if you get one from git, get all from git. Or all from portage.

You don't need xorg.conf, unless you want some option which is not default. Don't use it until you get a working configuration.
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Tue Nov 30, 2010 3:06 pm    Post subject: Reply with quote

pingufunkybeat wrote:
This looks like the culprit:

[ 1256.835] (EE) module ABI major version (9) doesn't match the server's version (8)

Are you sure that you're using the latest xorg from portage + the latest libdrm, mesa and xf86-video-ati?

The last three must match. So if you get one from git, get all from git. Or all from portage.

You don't need xorg.conf, unless you want some option which is not default. Don't use it until you get a working configuration.


Well with more context, you see that it is the 'vesa' driver that is failing:
Code:

[  1256.833] (==) ModulePath set to "/usr/lib64/xorg/modules"
[  1256.833] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[  1256.833] (II) Loader magic: 0x7cc140
[  1256.833] (II) Module ABI versions:
[  1256.833]    X.Org ANSI C Emulation: 0.4
[  1256.833]    X.Org Video Driver: 8.0
[  1256.833]    X.Org XInput driver : 11.0
[  1256.833]    X.Org Server Extension : 4.0
[  1256.834] (--) PCI:*(0:1:5:0) 1002:9614:1043:834d rev 0, Mem @ 0xd0000000/268435456, 0xfbde0000/65536, 0xfbc00000/1048576, I/O @ 0x0000c000/256
[  1256.834] (II) LoadModule: "extmod"
[  1256.834] (II) Loading /usr/lib64/xorg/modules/extensions/libextmod.so
[  1256.834] (II) Module extmod: vendor="X.Org Foundation"
[  1256.834]    compiled for 1.9.2.901, module version = 1.0.0
[  1256.834]    Module class: X.Org Server Extension
[  1256.834]    ABI class: X.Org Server Extension, version 4.0
[  1256.834] (II) Loading extension MIT-SCREEN-SAVER
[  1256.834] (II) Loading extension XFree86-VidModeExtension
[  1256.834] (II) Loading extension XFree86-DGA
[  1256.834] (II) Loading extension DPMS
[  1256.834] (II) Loading extension XVideo
[  1256.834] (II) Loading extension XVideo-MotionCompensation
[  1256.834] (II) Loading extension X-Resource
[  1256.834] (II) LoadModule: "dbe"
[  1256.834] (II) Loading /usr/lib64/xorg/modules/extensions/libdbe.so
[  1256.834] (II) Module dbe: vendor="X.Org Foundation"
[  1256.834]    compiled for 1.9.2.901, module version = 1.0.0
[  1256.834]    Module class: X.Org Server Extension
[  1256.834]    ABI class: X.Org Server Extension, version 4.0
[  1256.834] (II) Loading extension DOUBLE-BUFFER
[  1256.834] (II) LoadModule: "glx"
[  1256.834] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[  1256.834] (II) Module glx: vendor="X.Org Foundation"
[  1256.834]    compiled for 1.9.2.901, module version = 1.0.0
[  1256.834]    ABI class: X.Org Server Extension, version 4.0
[  1256.834] (==) AIGLX enabled
[  1256.834] (II) Loading extension GLX
[  1256.834] (II) LoadModule: "record"
[  1256.835] (II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
[  1256.835] (II) Module record: vendor="X.Org Foundation"
[  1256.835]    compiled for 1.9.2.901, module version = 1.13.0
[  1256.835]    Module class: X.Org Server Extension
[  1256.835]    ABI class: X.Org Server Extension, version 4.0
[  1256.835] (II) Loading extension RECORD
[  1256.835] (II) LoadModule: "dri"
[  1256.835] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[  1256.835] (II) Module dri: vendor="X.Org Foundation"
[  1256.835]    compiled for 1.9.2.901, module version = 1.0.0
[  1256.835]    ABI class: X.Org Server Extension, version 4.0
[  1256.835] (II) Loading extension XFree86-DRI
[  1256.835] (II) LoadModule: "dri2"
[  1256.835] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[  1256.835] (II) Module dri2: vendor="X.Org Foundation"
[  1256.835]    compiled for 1.9.2.901, module version = 1.2.0
[  1256.835]    ABI class: X.Org Server Extension, version 4.0
[  1256.835] (II) Loading extension DRI2
[  1256.835] (==) Matched ati as autoconfigured driver 0
[  1256.835] (==) Matched vesa as autoconfigured driver 1
[  1256.835] (==) Matched fbdev as autoconfigured driver 2
[  1256.835] (==) Assigned the driver to the xf86ConfigLayout
[  1256.835] (II) LoadModule: "ati"
[  1256.835] (II) Loading /usr/lib64/xorg/modules/drivers/ati_drv.so
[  1256.835] (II) Module ati: vendor="X.Org Foundation"
[  1256.835]    compiled for 1.9.2.901, module version = 6.13.99
[  1256.835]    Module class: X.Org Video Driver
[  1256.835]    ABI class: X.Org Video Driver, version 8.0
[  1256.835] (II) LoadModule: "radeon"
[  1256.835] (II) Loading /usr/lib64/xorg/modules/drivers/radeon_drv.so
[  1256.835] (II) Module radeon: vendor="X.Org Foundation"
[  1256.835]    compiled for 1.9.2.901, module version = 6.13.99
[  1256.835]    Module class: X.Org Video Driver
[  1256.835]    ABI class: X.Org Video Driver, version 8.0
[  1256.835] (II) LoadModule: "vesa"
[  1256.835] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[  1256.835] (II) Module vesa: vendor="X.Org Foundation"
[  1256.835]    compiled for 1.9.99.1, module version = 2.3.0
[  1256.835]    Module class: X.Org Video Driver
[  1256.835]    ABI class: X.Org Video Driver, version 9.0
[  1256.835] (EE) module ABI major version (9) doesn't match the server's version (8)
[  1256.835] (II) UnloadModule: "vesa"
[  1256.835] (II) Unloading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[  1256.835] (EE) Failed to load module "vesa" (module requirement mismatch, 0)
[  1256.835] (II) LoadModule: "fbdev"
[  1256.835] (WW) Warning, couldn't open module fbdev
[  1256.835] (II) UnloadModule: "fbdev"
[  1256.835] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  1256.835] (II) RADEON: Driver for ATI Radeon chipsets:
        ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
        ATI Radeon Mobility X300 (M24) 3152 (PCIE),
        ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
        ATI Radeon X600 (RV380) 3E50 (PCIE),
        ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
        ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),


I probably forgot to recompile the vesa driver after I downgraded from xorg-server-9999 to 1.9...

You really think that I should use xorg from x11 if I have mesa & ati-driver from the overlay?
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Tue Nov 30, 2010 3:07 pm    Post subject: Reply with quote

pingufunkybeat wrote:
This looks like the culprit:

[ 1256.835] (EE) module ABI major version (9) doesn't match the server's version (8)

Are you sure that you're using the latest xorg from portage + the latest libdrm, mesa and xf86-video-ati?

The last three must match. So if you get one from git, get all from git. Or all from portage.

You don't need xorg.conf, unless you want some option which is not default. Don't use it until you get a working configuration.


You need to recompile X modules after X upgrade. In this case it seems X can't load vesa, which is fine as it loads radeon later successfully.
With KDE 4.6b on HD3850 with gallium it is mostly smooth for me, rarely a bit jerky under load.
If you are using gallium with r600+ I suggest going git mesa. Make sure eselect mesa and eselect opengl are set correctly.
glxinfo must report "Gallium 0.4 on AMD R..." as OpenGL renderer and not softpipe.
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Tue Nov 30, 2010 3:08 pm    Post subject: Reply with quote

jprobichaud wrote:

I probably forgot to recompile the vesa driver after I downgraded from xorg-server-9999 to 1.9...

You really think that I should use xorg from x11 if I have mesa & ati-driver from the overlay?


No need. X (1.9.2.901) from portage works fine.
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Tue Nov 30, 2010 3:30 pm    Post subject: Reply with quote

Interesting, getting mesa-9999 did help.

So, right now, I have:

    media-libs/mesa-9999 (x11)
    x11-libs/libdrm-9999 (x11)
    x11-drivers/xf86-video-ati-9999 (x11)
    x11-base/xorg-server-1.9.2.901 (portage)
    kernel 2.6.36 with KMS enabled and CONFIG_EXTRA_FIRMWARE="radeon/R600_rlc.bin radeon/R700_rlc.bin"
    eselect mesa:
    Code:

    desktop log # eselect mesa list
    i915 (Intel 915, 945)
    i965 (Intel 965, G/Q3x, G/Q4x)
    r300 (Radeon R300-R500)
      [1]   gallium *
    r600 (Radeon R600-R700, Evergreen)
      [1]   classic
      [2]   gallium *
    sw (Software renderer)
      [1]   classic
      [2]   gallium *

    and glxinfo reports:
    Code:

    direct rendering: Yes
    ...
    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on AMD RS780
    OpenGL version string: 2.1 Mesa 7.10-devel
    OpenGL shading language version string: 1.20

    eselect opengl list gives
    Code:

    desktop log # eselect opengl list
    Available OpenGL implementations:
      [1]   xorg-x11 *

    and, after disabling compatibility checks in kwin effects, disabling the "blur" effects, I get acceptable performance.


Now let's test mplayer with a full screen movie...
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Tue Nov 30, 2010 3:38 pm    Post subject: Reply with quote

This looks more like it, and you should have 3d acceleration now. Probably forgot to recompile something at some point.

Fullscreen playback has nothing to do with mesa/gallium, as EXA is in xf86-video-ati. If drm is initialized correctly, it will work just fine. 3d should not be acceptable, it should be really smooth.

Do try something in 3d, like neverball or openarena, to see what sort of performance you get.
Back to top
View user's profile Send private message
jprobichaud
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jan 2009
Posts: 81
Location: Montreal, Qc

PostPosted: Tue Nov 30, 2010 3:54 pm    Post subject: Reply with quote

cool, playing a video (using mplayer) works fine and neverball performance is very good!

Even the "Another World" high-res demo (through Wine) is working perfectly (this one was really bad before...)!

Thanks guys for all your help!
Back to top
View user's profile Send private message
Wyatt
n00b
n00b


Joined: 02 Mar 2007
Posts: 15
Location: Columbus,OH,USA

PostPosted: Thu Jan 06, 2011 5:30 pm    Post subject: Reply with quote

Interesting, I seem to have everything configured correctly, (so sayeth glxinfo) but all applications that use 3D, on down to the lowly glxgears seem to segfault immediately. Did I just get a bad HEAD from git or is there some non-obvious config to take care of?

RV610 (HD2400 Pro) #This could be it. I've heard there's not been much testing on this card
2.6.37 KMS
git: mesa, xf86-video-ati, libdrm
xorg-server-1.9.99.901
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Thu Jan 06, 2011 8:15 pm    Post subject: Reply with quote

Classic or Gallium?

I updated the kernel and mesa today, and openarena segfaults on start with r600g. Glxgears too. Classic works fine.

I'm assuming it's a small regression which will be ironed out soon.
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5326

PostPosted: Thu Jan 06, 2011 8:37 pm    Post subject: Reply with quote

it seems that from the 22nd of last month I cannot complete merge of mesa-9999 does anyone noticed it?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 20, 21, 22 ... 27, 28, 29  Next
Page 21 of 29

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum